package com.example.rajatjain.flutter_plugin_ad;

import android.app.Activity;
import android.os.Build;
import android.widget.Toast;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** FlutterPluginAdPlugin */
public class FlutterPluginAdPlugin implements MethodCallHandler {
  private final MethodChannel channel;
  private Activity activity;


    /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_plugin_ad");
    channel.setMethodCallHandler(new FlutterPluginAdPlugin(registrar.activity(),channel));
  }
  private FlutterPluginAdPlugin(Activity activity,MethodChannel channel){
    this.activity=activity;
    this.channel=channel;
    this.channel.setMethodCallHandler(this);
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getPlatformVersion")) {
      result.success("Android " + Build.VERSION.RELEASE);
    }else if(call.method.equals("showToast")){
        String msg=call.argument("msg").toString();

        Toast.makeText(activity,msg,Toast.LENGTH_LONG).show();
    }
    else {
      result.notImplemented();
    }
  }
}
